<div class="relative group">
    <div class="absolute w-full -inset-0.5 bg-gradient-to-r from-pink-500 to-blue-600 rounded-lg blur opacity-75 group-hover:opacity-100 transition duration-1000 group-hover:duration-200 animate-pulse group-hover:animate-none"></div>
    <button (click)="navigateTo()" class="relative w-full px-7 py-4 bg-black rounded-lg leading-none flex items-center justify-center">
        <span class="flex items-center px-5">
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6 text-pink-600 -rotate-6">
                <path stroke-linecap="round" stroke-linejoin="round" d="M19 7.5v3m0 0v3m0-3h3m-3 0h-3m-2.25-4.125a3.375 3.375 0 11-6.75 0 3.375 3.375 0 016.75 0zM4 19.235v-.11a6.375 6.375 0 0112.75 0v.109A12.318 12.318 0 0110.374 21c-2.331 0-4.512-.645-6.374-1.766z"></path>
            </svg>
        </span>
        <div class="divide-x divide-gray-600">
            <span class="pr-6 text-gray-100 text-lg font-bold">{{textOne}}</span>
            <span class="pl-6 text-indigo-400 group-hover:text-gray-100 transition duration-1000">{{textTwo}} &rarr;</span>
        </div>
    </button>
</div>
